%define major 0.3
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Name: yaml-cpp
Version: 0.3.0
Release: %mkrel 2
Summary: A YAML parser and emitter for C++
Group: System/Libraries
License: MIT
URL: http://code.google.com/p/yaml-cpp/
Source0: http://yaml-cpp.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRequires: cmake
BuildRequires: sed

%description
yaml-cpp is a YAML parser and emitter in C++ written around the YAML 1.2 spec.

%package -n %libname
Summary: Shared library for %{name}
Group: System/Libraries

%description -n %libname
yaml-cpp is a YAML parser and emitter in C++ written around the YAML 1.2 spec.

%package -n %develname
Summary: Development files for %{name}
Group: System/Libraries
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %develname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}
# Fix eol 
sed -i 's/\r//' license.txt

%build
# ask cmake to not strip binaries
%cmake -DYAML_CPP_BUILD_TOOLS=0
%make

%install
%makeinstall_std -C build
find %{buildroot} -name '*.la' -delete

%files -n %libname
%doc license.txt
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %develname
%{_includedir}/yaml-cpp
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.3.0-2.mga3
+ Revision: 387547
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 fwang <fwang> 0.3.0-1.mga3
+ Revision: 306621
- fix installation
- imported package yaml-cpp

